<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="productOrder">
            <h2><span jhiTranslate="restaurantApplicationApp.productOrder.detail.title">Product Order</span> {{productOrder.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.productOrder.placedDate">Placed Date</span></dt>
                <dd>
                    <span>{{productOrder.placedDate}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.productOrder.status">Status</span></dt>
                <dd>
                    <span jhiTranslate="{{'restaurantApplicationApp.OrderStatus.' + productOrder.status}}">{{productOrder.status}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.productOrder.code">Code</span></dt>
                <dd>
                    <span>{{productOrder.code}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.productOrder.invoiceId">Invoice Id</span></dt>
                <dd>
                    <span>{{productOrder.invoiceId}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.productOrder.customer">Customer</span></dt>
                <dd>
                    <div *ngIf="productOrder.customer">
                        <a [routerLink]="['/customer', productOrder.customer?.id, 'view']">{{productOrder.customer?.email}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product-order', productOrder.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
